extras-buildsys/etc plague-builder.config, 1.4, 1.5 plague-builder.init, 1.6, 1.7

Daniel Williams (dcbw) fedora-extras-commits at redhat.com
Wed Aug 31 19:29:23 UTC 2005


Author: dcbw

Update of /cvs/fedora/extras-buildsys/etc
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv17688/etc

Modified Files:
	plague-builder.config plague-builder.init 
Log Message:
Fix builder start scripts


Index: plague-builder.config
===================================================================
RCS file: /cvs/fedora/extras-buildsys/etc/plague-builder.config,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- plague-builder.config	14 Jul 2005 21:13:25 -0000	1.4
+++ plague-builder.config	31 Aug 2005 19:29:21 -0000	1.5
@@ -1 +1 @@
-CONFIGS="/etc/plague/builder/CONFIG.py"
+CONFIG="/etc/plague/builder/plague-builder.cfg"


Index: plague-builder.init
===================================================================
RCS file: /cvs/fedora/extras-buildsys/etc/plague-builder.init,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- plague-builder.init	14 Jul 2005 21:49:47 -0000	1.6
+++ plague-builder.init	31 Aug 2005 19:29:21 -0000	1.7
@@ -15,55 +15,19 @@
 
 . /etc/sysconfig/plague-builder
 
-
-start_one() {
-    PORT=$1
-    CONFIG_FILE=$2
-    echo -n "Starting plague-builder on port $PORT: "
-    daemon plague-builder -d -p /var/run/plague-builder-$PORT.pid -l /var/log/plague-builder-$PORT.log -c $CONFIG_FILE
-    echo
-    touch /var/lock/subsys/plague-builder-$PORT
-    return 0
-}
-
 start() {
-    for config in $CONFIGS; do
-        # Get the builder's XMLRPC port #, which should be unique
-        PORT=`python -c "execfile('$config'); print config_opts['xmlrpc_port']"`
-        start_one $PORT $config
-    done
-    return 0
+	echo -n "Starting plague-builder: "
+	daemon plague-builder -c $CONFIG -d -p /var/run/plague-builder.pid -l /var/log/plague-builder.log
+	echo
+	touch /var/lock/subsys/plague-builder
+	return 0
 }	
 
-stop_one() {
-    PORT=$1
-    echo -n "Shutting down plague-builder on port $PORT: "
-    killproc plague-builder-$PORT
-    echo
-    rm -f /var/lock/subsys/plague-builder-$PORT
-    return 0
-}
-
 stop() {
-    for config in $CONFIGS; do
-        # Get the builder's XMLRPC port #, which should be unique
-        PORT=`python -c "execfile('$config'); print config_opts['xmlrpc_port']"`
-        stop_one $PORT
-    done
-    return 0
-}
-
-condrestart() {
-	[ -f /var/lock/subsys/plague-builder ] && restart || :
-
-    for config in $CONFIGS; do
-        # Get the builder's XMLRPC port #, which should be unique
-        PORT=`python -c "execfile('$config'); print config_opts['xmlrpc_port']"`
-    	if [ -f /var/lock/subsys/plague-builder-$PORT ]; then
-            stop_one $PORT
-            start_one $PORT
-        fi
-    done
+	echo -n "Shutting down plague-builder: "
+	killproc plague-builder
+	echo
+	rm -f /var/lock/subsys/plague-builder
 	return 0
 }
 
@@ -74,23 +38,23 @@
 
 case "$1" in
     start)
-        start
-        ;;
+	start
+	;;
     stop)
-        stop
-        ;;
+	stop
+	;;
     status)
-        status plague-builder
-        ;;
+	status plague-builder
+	;;
     restart)
-        stop
-        start
-        ;;
+    	stop
+	start
+	;;
     condrestart)
-        condrestart
-        ;;
+	[ -f /var/lock/subsys/plague-builder ] && restart || :
+	;;
     *)
-	   echo "Usage: <servicename> {start|stop|status|reload|restart[|probe]"
+	echo "Usage: <servicename> {start|stop|status|reload|restart[|probe]"
 	exit 1
 	;;
 esac




More information about the fedora-extras-commits mailing list